List resource gateways
GET
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
resource-gateways
List resource gateways
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"hostname": "<string>",
"enabled": true,
"status": "setup_required",
"managementMode": "forge",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"runtimeVersion": "<string>",
"managerId": "<string>",
"managerInstance": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}⌘I
List resource gateways
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-gateways"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"hostname": "<string>",
"enabled": true,
"status": "setup_required",
"managementMode": "forge",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"runtimeVersion": "<string>",
"managerId": "<string>",
"managerInstance": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}